<?php
/**
* @module		VJ Zoom
* @copyright	Copyright (C) 2014 vj-tools.com
* @license		GPL
*/

defined('_JEXEC') or die('Restricted access');
error_reporting(E_ERROR);
if (!defined('DS')) {
	define('DS',DIRECTORY_SEPARATOR);
}

error_reporting(E_ERROR);
$document = &JFactory::getDocument();
$moduleId = $module->id;

$loadJ = $params->get('loadJ', 1);
$loadScript = $params->get('loadScript', 'bottom');
$smallImage = $params->get('smallImage', '');
$bigImage = $params->get('bigImage', '');
$tintColour = $params->get('tintColour', '#333');
$tintOpacity = $params->get('tintOpacity', 0.4);
$zoomWindowPosition = $params->get('zoomWindowPosition', 1);
$fade = $params->get('fade', 0);
$tint = $params->get('tint', 0);
$easing = $params->get('easing', 0);
$mouseWheelZoom = $params->get('mouseWheelZoom', 0);
$responsive = $params->get('responsive', 0);
$cursor = $params->get('cursor', 'default');
$zoomWindowWidth = $params->get('zoomWindowWidth', '');
$zoomWindowHeight = $params->get('zoomWindowHeight', '');
$loadingIcon = $params->get('loadingIcon', 'modules/mod_vjzoom/css/ajax-loader.gif');

if ($loadJ) {
  $document->addScript(JURI::root() . 'modules/mod_vjzoom/js/jquery.js');
}
if ($loadScript == 'top') {
	$document->addScript(JURI::root() . 'modules/mod_vjzoom/js/script.js');
} else {
?>
<script src="<?php echo JURI::root() . 'modules/mod_vjzoom/js/script.js'; ?>" type="text/javascript"></script>
<?php
}
$document->addStylesheet(JURI::root() . 'modules/mod_vjzoom/css/style.css');

$smallImageArray = explode ("\n", $smallImage);
$bigImageArray = explode ("\n", $bigImage);

if (count ($smallImageArray) == 1 && count ($bigImageArray) == 1) {
?>
<img id="vjzoom<?php echo $moduleId; ?>" src='<?php echo JURI::root() . trim($smallImageArray[0]); ?>' data-zoom-image="<?php echo JURI::root() . trim($bigImageArray[0]); ?>"/>
<script>
	jQuery(document).ready(function () {
		jQuery('#vjzoom<?php echo $moduleId; ?>').elevateZoom({
			<?php if ($tint) { ?>
			tint: true,
			<?php } ?>
			tintColour: "<?php echo $tintColour; ?>",
			tintOpacity: "<?php echo $tintOpacity; ?>",
			<?php if ($zoomWindowPosition == 'inner' || $zoomWindowPosition == 'lens') { ?>
			zoomType : '<?php echo $zoomWindowPosition; ?>',
			lensShape: 'round',
			<?php } else { ?>
			zoomWindowPosition: <?php echo $zoomWindowPosition; ?>,
			<?php } ?>
			<?php if ($fade) { ?>
			imageCrossfade: true,
			<?php } ?>
			<?php if ($easing) { ?>
			easing: true,
			<?php } ?>
			<?php if ($mouseWheelZoom) { ?>
			scrollZoom: <?php echo $mouseWheelZoom; ?>,
			<?php } ?>
			<?php if ($responsive) { ?>
			responsive: true,
			<?php } ?>
			<?php if ($zoomWindowWidth) { ?>
			zoomWindowWidth: <?php echo $zoomWindowWidth; ?>,
			<?php } ?>
			<?php if ($zoomWindowHeight) { ?>
			zoomWindowHeight: <?php echo $zoomWindowHeight; ?>,
			<?php } ?>
			cursor: "<?php echo $cursor; ?>"
			<?php if ($loadingIcon) { ?>
			,loadingIcon: '<?php echo $loadingIcon; ?>'
			<?php } ?>
		}); 
	});
</script>
<?php
} else {
	?>
	<img id="vjzoom<?php echo $moduleId; ?>" src="<?php echo JURI::root() . trim($smallImageArray[0]); ?>" data-zoom-image="<?php echo JURI::root() . trim($bigImageArray[0]); ?>" />
	<div id="gallery_<?php echo $moduleId; ?>">
	<?php
	for ($i = 0; $i < count($smallImageArray); $i++) {
	if ($smallImageArray[$i]) {
		?>
		<a href="#" data-image="<?php echo JURI::root() . trim($smallImageArray[$i]); ?>" data-zoom-image="<?php echo JURI::root() . trim($bigImageArray[$i]); ?>" class="elevatezoom-gallery">
			<img src="<?php echo JURI::root() . trim($smallImageArray[$i]); ?>" />
		</a>
		<?php
		}
	}
	?>
	</div>
	<script>
	jQuery(document).ready(function () {
		jQuery('#vjzoom<?php echo $moduleId; ?>').elevateZoom({
			gallery: 'gallery_<?php echo $moduleId; ?>',
			galleryActiveClass: 'vjactive',
			<?php if ($tint) { ?>
			tint: true,
			<?php } ?>
			tintColour: "<?php echo $tintColour; ?>",
			tintOpacity: "<?php echo $tintOpacity; ?>",
			<?php if ($zoomWindowPosition == 'inner' || $zoomWindowPosition == 'lens') { ?>
			zoomType : '<?php echo $zoomWindowPosition; ?>',
			lensShape: 'round',
			<?php } else { ?>
			zoomWindowPosition: <?php echo $zoomWindowPosition; ?>,
			<?php } ?>
			<?php if ($fade) { ?>
			imageCrossfade: true,
			<?php } ?>
			<?php if ($easing) { ?>
			easing: true,
			<?php } ?>
			<?php if ($mouseWheelZoom) { ?>
			scrollZoom: <?php echo $mouseWheelZoom; ?>,
			<?php } ?>
			<?php if ($responsive) { ?>
			responsive: true,
			<?php } ?>
			<?php if ($zoomWindowWidth) { ?>
			zoomWindowWidth: <?php echo $zoomWindowWidth; ?>,
			<?php } ?>
			<?php if ($zoomWindowHeight) { ?>
			zoomWindowHeight: <?php echo $zoomWindowHeight; ?>,
			<?php } ?>
			cursor: "<?php echo $cursor; ?>"
			<?php if ($loadingIcon) { ?>
			,loadingIcon: '<?php echo $loadingIcon; ?>'
			<?php } ?>
		}); 
	});
</script>
	<?php
}
?>