<?php
/**
 *
 * Show the product details page
 *
 * @package	VirtueMart
 * @subpackage
 * @author Max Milbers, Valerie Isaksen

 * @link http://www.virtuemart.net
 * @copyright Copyright (c) 2004 - 2010 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * @version $Id: default_images.php 6188 2012-06-29 09:38:30Z Milbo $
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
if(VmConfig::get('usefancy',1)){
	vmJsApi::js( 'fancybox/jquery.fancybox-1.3.4.pack');
	vmJsApi::css('jquery.fancybox-1.3.4');
	$document = JFactory::getDocument ();
	$imageJS = '
	jQuery(document).ready(function() {
		jQuery("a[rel=vm-additional-images]").fancybox({
			"titlePosition" 	: "inside",
			"transitionIn"	:	"elastic",
			"transitionOut"	:	"elastic"
		});
		jQuery(".additional-images a.product-image.image-0").removeAttr("rel");
		jQuery(".additional-images img.product-image").click(function() {
			jQuery(".additional-images a.product-image").attr("rel","vm-additional-images" );
			jQuery(this).parent().children("a.product-image").removeAttr("rel");
			var src = jQuery(this).parent().children("a.product-image").attr("href");
			jQuery(".main-image img").attr("src",src);
			jQuery(".main-image img").attr("alt",this.alt );
			jQuery(".main-image a").attr("href",src );
			jQuery(".main-image a").attr("title",this.alt );
			jQuery(".main-image .vm-img-desc").html(this.alt);
		}); 
	});
	';
	
} else {
	vmJsApi::js( 'facebox' );
	vmJsApi::css( 'facebox' );
	$document = JFactory::getDocument ();
	$imageJS = '
	jQuery(document).ready(function() {
		jQuery("a[rel=vm-additional-images]").facebox();

		var imgtitle = jQuery("span.vm-img-desc").text();
		jQuery("#facebox span").html(imgtitle);
		
		
	});
	';
}
$document->addScriptDeclaration ($imageJS);

if (!empty($this->product->images)) {
	$document = &JFactory::getDocument(); 
	/*
    $document->addScript( JURI::root () . 'modules/mod_vjzoom/js/jquery.js' );
	*/
    $document->addScript( JURI::root () . 'modules/mod_vjzoom/js/script.js' );
    $document->addStyleSheet( JURI::root () . 'modules/mod_vjzoom/css/style.css' );
	$image = $this->product->images[0];
	$moduleId = 'vjzoom';
	
	if (!empty($this->product->images[0]) && count($this->product->images)<=1) { ?>
		<div class="main-image">
			<img id="vjzoom<?php echo $moduleId; ?>" src='<?php echo JURI::root() . $image->file_url; ?>' data-zoom-image="<?php echo JURI::root() . $image->file_url; ?>" />
			<script>
			jQuery(document).ready(function () {
				jQuery('#vjzoom<?php echo $moduleId; ?>').elevateZoom({
					tintColour: "#FFFFFF",
					tintOpacity: "0.9",
					lensShape: 'round',
					zoomType: 'lens',
					imageCrossfade: true,
					easing: true,
					responsive: true,
					cursor: "crosshair"
				}); 
			});
			</script>
		</div>
		<?php } else {
		?>
		<style>
			.elevatezoom-gallery img {
			  height: 100px;
			}
			.full_image {
				max-height: 250px;
			}
		</style>
		<script>
		jQuery(document).ready(function () {
			jQuery('#vjzoom<?php echo $moduleId; ?>').elevateZoom({
				gallery: 'gallery<?php echo $moduleId; ?>',
				galleryActiveClass: 'vjactive',
				tintColour: "#FFFFFF",
				tintOpacity: "0.9",
				zoomType: 'lens',
				imageCrossfade: true,
				easing: true,
				scrollZoom: 1,
				responsive: true,
				cursor: "crosshair"
			}); 
		});
		</script>
		<div class="main-image">
			<img class="full_image" id="vjzoom<?php echo $moduleId; ?>" src="<?php echo JURI::root() . $image->file_url; ?>" data-zoom-image="<?php echo JURI::root() . $image->file_url; ?>" />
			<div class="additional_images" id="gallery<?php echo $moduleId; ?>">
				<?php
				  foreach ($this->product->images as $img) {
				?>
				<a href="#" data-image="<?php echo JURI::root() . $img->file_url; ?>" data-zoom-image="<?php echo JURI::root() . $img->file_url; ?>" class="elevatezoom-gallery">
					<img src="<?php echo JURI::root() . $img->file_url; ?>" />
				</a>
				<?php
				  }
				?>
			</div>
		</div>
    <?php }
}
// Showing The Additional Images END ?>